Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.deployment.jboss
Class PortletAppDeployment

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.Deployment
          org.jboss.portal.portlet.deployment.jboss.PortletAppDeployment
              org.jboss.portal.core.deployment.jboss.PortletAppDeployment

    public class PortletAppDeployment

extends PortletAppDeployment

Version:
  $Revision: 11152 $
Author:
  Julien Viet

Field Summary
`static int` | `KEEP_IF_EXISTS` .
`static int` | `OVERWRITE_IF_EXISTS` .

Fields inherited from class org.jboss.portal.portlet.deployment.jboss.PortletAppDeployment
`configurations, jbossAppMD, portletApplicationContext, portletAppMD`

Fields inherited from class org.jboss.portal.server.deployment.jboss.Deployment
`log, mbeanServer, pwa, url`

Constructor Summary
`PortletAppDeployment(java.net.URL url, PortalWebApp pwa, org.jboss.portal.portlet.container.managed.ManagedObjectRegistryEventListener listener, javax.management.MBeanServer mbeanServer, PortletAppDeploymentFactory factory)`

Method Summary
`protected void` | `injectServices()` Inject service proxies into the context of the web application if it is needed.
`void` | `start()`

Methods inherited from class org.jboss.portal.portlet.deployment.jboss.PortletAppDeployment
`buildJBossApplicationMetaData, buildPortletApplicationMetaData, create, destroy, getAppId, importTLD, stop`

Methods inherited from class org.jboss.portal.server.deployment.jboss.Deployment
`findRepositoryClassLoader, findWEBINFURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OVERWRITE_IF_EXISTS

    public static final int OVERWRITE_IF_EXISTS

  .

  See Also:
    Constant Field Values

### KEEP_IF_EXISTS

    public static final int KEEP_IF_EXISTS

  .

  See Also:
    Constant Field Values

Constructor Detail

### PortletAppDeployment

    public PortletAppDeployment(java.net.URL url,
                                PortalWebApp pwa,
                                org.jboss.portal.portlet.container.managed.ManagedObjectRegistryEventListener listener,
                                javax.management.MBeanServer mbeanServer,
                                PortletAppDeploymentFactory factory)

Method Detail

### start

    public void start()
               throws org.jboss.deployment.DeploymentException

  Overrides:
    `start` in class `PortletAppDeployment`
  Throws:
    `org.jboss.deployment.DeploymentException`

### injectServices

    protected void injectServices()

  Inject service proxies into the context of the web application if it is needed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD